GNU Radio C++ API Reference: gr::messages::msg_accepter Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::messages::msg_accepter Class Referenceabstract

Virtual base class that accepts messages. More...

`#include <gnuradio/messages/msg_accepter.h>`

## Public Member Functions
| msg_accepter ()
virtual | ~msg_accepter ()
virtual void | post (pmt::pmt_t which_port, pmt::pmt_t msg)=0
| send `msg` to `msg_accepter` on port `which_port`

## Detailed Description

Virtual base class that accepts messages.

## Constructor & Destructor Documentation

## ◆ msg_accepter()

gr::messages::msg_accepter::msg_accepter | ( |  | ) |
| inline

## ◆ ~msg_accepter()

virtual gr::messages::msg_accepter::~msg_accepter | ( |  | ) |
| virtual

Reimplemented in gr::msg_accepter.

## Member Function Documentation

## ◆ post()

virtual void gr::messages::msg_accepter::post | ( | pmt::pmt_t | which_port,
|  | pmt::pmt_t | msg )
| pure virtual

send `msg` to `msg_accepter` on port `which_port`

Sending a message is an asynchronous operation. The `post` call will not wait for the message either to arrive at the destination or to be received.

Implemented in gr::msg_accepter, rpcbasic_extractor< T, bool >, rpcbasic_extractor< T, char >, rpcbasic_extractor< T, double >, rpcbasic_extractor< T, float >, rpcbasic_extractor< T, int >, rpcbasic_extractor< T, long >, rpcbasic_extractor< T, short >, rpcbasic_extractor< T, std::complex< double > >, rpcbasic_extractor< T, std::complex< float > >, rpcbasic_extractor< T, std::string >, rpcbasic_extractor< T, void >, rpcextractor_base< T, Tto >, rpcextractor_base< T, bool >, rpcextractor_base< T, char >, rpcextractor_base< T, double >, rpcextractor_base< T, float >, rpcextractor_base< T, int >, rpcextractor_base< T, long >, rpcextractor_base< T, short >, rpcextractor_base< T, std::complex< double > >, rpcextractor_base< T, std::complex< float > >, rpcextractor_base< T, std::string >, rpcextractor_base< T, void >, and rpchandler_base< T >.

Referenced by gr::messages::send(), gr::messages::send(), and gr::messages::send().

The documentation for this class was generated from the following file:

- messages/msg_accepter.h